PUT /api/proxies/{PORT}
路径参数
PUT body
显示 properties
显示 properties
- name[字符串]
- 值[字符串]
{
"port":24000,
"zone":"ZONE",
"proxy_type":"persist",
"customer":"CUSTOMER",
"password":"password",
"whitelist_ips":[]
}
curl -X PUT "http://127.0.0.1:22999/api/proxies/{PORT}" -H "Content-Type: application/json" -d '{"proxy":{"port":24000,"zone":"ZONE","proxy_type":"persist","customer":"CUSTOMER","password":"password","whitelist_ips":[]}}'
#!/usr/bin/env node
require('request-promise')({
method: 'PUT',
url: 'http://127.0.0.1:22999/api/proxies/{PORT}',
json: {'proxy':{'port':24000,'zone': 'ZONE','proxy_type':'persist','customer':'CUSTOMER','password':'password','whitelist_ips':[]}}
}).then(function(data){ console.log(data); },
function(err){ console.error(err); });
package example;
import org.apache.http.HttpHost;
import org.apache.http.client.fluent.*;
public class Example {
public static void main(String[] args) throws Exception {
String body = "{\"proxy\":{\"port\":24000,\"zone\":\"ZONE\",\"proxy_type\":\"persist\",\"customer\":\"CUSTOMER\",\"password\":\"password\",\"whitelist_ips\":[]}}";
String res = Executor.newInstance()
.execute(Request.Put("http://127.0.0.1:22999/api/proxies/{PORT}"))
.bodyString(body, ContentType.APPLICATION_JSON))
.returnContent().asString();
System.out.println(res)
}
}
using System;
using System.Net;
using System.Net.Http;
using System.Net.Http.Headers;
public class Program {
public static async Task Main() {
var client = new HttpClient();
var requestMessage = new HttpRequestMessage {
Method = HttpMethod.Put,
RequestUri = new Uri("http://127.0.0.1:22999/api/proxies/{PORT}"),
Content = new StringContent(JsonConvert.SerializeObject(new {
proxy = new {
port = 24000, zone = "ZONE", proxy_type = "persist", customer = "CUSTOMER", password = "password", whitelist_ips = []
}
}), Encoding.UTF8, "application/json"))
};
var response = await client.SendAsync(requestMessage);
var responseString = await response.Content.ReadAsStringAsync();
Console.WriteLine(responseString);
}
}
#!/usr/bin/env python
import requests
data = {'proxy':{'port':24000,'zone': 'ZONE','proxy_type':'persist','customer':'CUSTOMER','password':'password','whitelist_ips':[]}}
r = requests.put('http://127.0.0.1:22999/api/proxies/{PORT}', data=json.dumps(data))
print(r.content)